%define name		xkobo
%define version		1.11
%define release 13mdk
%define	builddir	$RPM_BUILD_DIR/%{name}-%{version}

Summary:	X11 space arcade game
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Games/Arcade
BuildRequires: XFree86-devel
Copyright:	GPL

Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}
Source2:	%{name}16.xpm.bz2
Source3:	%{name}32.xpm.bz2
Source4:	%{name}48.xpm.bz2
Patch:		%{name}-%{version}-1-imake.patch.bz2
Patch1:		xkobo-1.11-gcc295.patch.bz2
Patch2:		xkobo-1.11-libpath.path.bz2
Patch3: xkobo-1.11-gcc2.96.patch.bz2

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Xkobo is a arcade video game for X11. The goal is to destroy the enemi bases.
But the enemi will fire at you and send fighter spacecrafts to get you. You'll
have hours and hours of fun with this game.


%prep

%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
xmkmf -a
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k" xkobo; exit 0)
        make xkobo
else
        make xkobo
fi


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/{usr/X11R6/{bin,man/man6},var/lib/games/xkobo}
cp %{builddir}/xkobo $RPM_BUILD_ROOT/usr/X11R6/bin
cp %{builddir}/xkobo.man $RPM_BUILD_ROOT/usr/X11R6/man/man6/xkobo.6

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
bzcat %SOURCE3 > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

%files
%defattr(-,root,root)
%doc CHANGES COPYING README*
%attr(755,games,games) /usr/X11R6/bin/xkobo
%attr(644,root,root) /usr/X11R6/man/man6/*.6.bz2
%attr(755,games,games) %dir /var/lib/games/xkobo
%{_menudir}/*
%{_miconsdir}/*
%{_liconsdir}/*
%{_iconsdir}/*.xpm

%post
if [ -d /var/lib/games/xkobo ]; then
    chown -R games.games /var/lib/games/xkobo
fi
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Nov 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.11-13mdk
- After my patch to get compiled with gcc2.95 the 1 Nov 99 1 year
  after in exclusivety for mandrake a new patch is born, fix compile
  with gcc2.96 (i like ANSI compatible source code :\). We all wait
  for the next year to know the future of this passionnant movie.

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.11-12mdk
- %%{update_menus} & %%{clean_menus}
- Fix menu entry
- Macros
- Remove french translations (Description and Summary)

* Fri Sep 01 2000 Alexis Younes <ayounes@mandrakesoft.com> 1.11-11mdk
- Release
- %attr(06755,games,games) /usr/X11R6/bin/xkobo changed to %attr(755,games,games) /usr/X11R6/bin/xkobo

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.11-10mdk
- automatically added BuildRequires

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.11-9mdk
- Fix build for i486
- Use %{_tmppath} for BuildRoot

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.11-8mdk
- Corrected icons.
 
* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.11-7mdk
- Convert gif icon to xpm.
  
* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.11-6mdk
- Added menu entry.
  
* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 1.11-5mdk
- release
  
* Thu Dec 30 1999 Frederic Lepied <flepied@mandrakesoft.com> 1.11-4mdk
- fix permissions in /var/lib/games/xkobo.
     
* Mon Nov  1 1999  Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
      
* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.
       
* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.11 :
	* fixed an endianness problem of score files
	* secure score files
		        
* Thu May 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
